searchData={"items":[{"type":"module","title":"AshAdmin.Components.Resource.RelationshipField","doc":"This module defines a LiveComponent for rendering a relationship field in an AshAdmin resource form.\nIt handles the logic for displaying a select dropdown or a typeahead input field, fetching and\ndisplaying suggestions, and updating the selected value.","ref":"AshAdmin.Components.Resource.RelationshipField.html"},{"type":"function","title":"AshAdmin.Components.Resource.RelationshipField.form_control_label/1","doc":"","ref":"AshAdmin.Components.Resource.RelationshipField.html#form_control_label/1"},{"type":"function","title":"AshAdmin.Components.Resource.RelationshipField.handle_event/3","doc":"Callback implementation for  Phoenix.LiveComponent.handle_event/3 .","ref":"AshAdmin.Components.Resource.RelationshipField.html#handle_event/3"},{"type":"function","title":"AshAdmin.Components.Resource.RelationshipField.mount/1","doc":"Callback implementation for  Phoenix.LiveComponent.mount/1 .","ref":"AshAdmin.Components.Resource.RelationshipField.html#mount/1"},{"type":"function","title":"AshAdmin.Components.Resource.RelationshipField.render/1","doc":"Callback implementation for  Phoenix.LiveComponent.render/1 .","ref":"AshAdmin.Components.Resource.RelationshipField.html#render/1"},{"type":"function","title":"AshAdmin.Components.Resource.RelationshipField.update/2","doc":"Callback implementation for  Phoenix.LiveComponent.update/2 .","ref":"AshAdmin.Components.Resource.RelationshipField.html#update/2"},{"type":"module","title":"AshAdmin.CoreComponents","doc":"Provides core UI components.\n\nAt the first glance, this module may seem daunting, but its goal is\nto provide some core building blocks in your application, such as modals,\ntables, and forms. The components are mostly markup and well documented\nwith doc strings and declarative assigns. You may customize and style\nthem in any way you want, based on your application growth and needs.\n\nThe default components use Tailwind CSS, a utility-first CSS framework.\nSee the [Tailwind CSS documentation](https://tailwindcss.com) to learn\nhow to customize them or feel free to swap in another framework altogether.\n\nIcons are provided by [heroicons](https://heroicons.com). See `icon/1` for usage.","ref":"AshAdmin.CoreComponents.html"},{"type":"function","title":"AshAdmin.CoreComponents.back/1","doc":"Renders a back navigation link.","ref":"AshAdmin.CoreComponents.html#back/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"AshAdmin.CoreComponents.html#back/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"AshAdmin.CoreComponents.html#back/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.back/1","doc":"* `inner_block` (required)","ref":"AshAdmin.CoreComponents.html#back/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.button/1","doc":"Renders a button.","ref":"AshAdmin.CoreComponents.html#button/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"AshAdmin.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"AshAdmin.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"AshAdmin.CoreComponents.html#button/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.error/1","doc":"Generates a generic error message.","ref":"AshAdmin.CoreComponents.html#error/1"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.error/1","doc":"* `inner_block` (required)","ref":"AshAdmin.CoreComponents.html#error/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"AshAdmin.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"AshAdmin.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup. Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"AshAdmin.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"AshAdmin.CoreComponents.html#flash/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"AshAdmin.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"AshAdmin.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.","ref":"AshAdmin.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"AshAdmin.CoreComponents.header/1","doc":"Renders a header with title.","ref":"AshAdmin.CoreComponents.html#header/1"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"AshAdmin.CoreComponents.html#header/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"AshAdmin.CoreComponents.html#header/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.hide/2","doc":"","ref":"AshAdmin.CoreComponents.html#hide/2"},{"type":"function","title":"AshAdmin.CoreComponents.hide_modal/2","doc":"","ref":"AshAdmin.CoreComponents.html#hide_modal/2"},{"type":"function","title":"AshAdmin.CoreComponents.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from your `assets/vendor/heroicons` directory and bundled\nwithin your compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"AshAdmin.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"AshAdmin.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"AshAdmin.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"AshAdmin.CoreComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"AshAdmin.CoreComponents.html#input/1"},{"type":"function","title":"Types - AshAdmin.CoreComponents.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information.","ref":"AshAdmin.CoreComponents.html#input/1-types"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"AshAdmin.CoreComponents.html#input/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`. Must be one of `\"checkbox\"`, `\"color\"`, `\"date\"`, `\"datetime-local\"`, `\"email\"`, `\"file\"`, `\"hidden\"`, `\"month\"`, `\"number\"`, `\"password\"`, `\"range\"`, `\"radio\"`, `\"search\"`, `\"select\"`, `\"tel\"`, `\"text\"`, `\"textarea\"`, `\"time\"`, `\"url\"`, or `\"week\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"AshAdmin.CoreComponents.html#input/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.input/1","doc":"* `inner_block`","ref":"AshAdmin.CoreComponents.html#input/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.label/1","doc":"Renders a label.","ref":"AshAdmin.CoreComponents.html#label/1"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"AshAdmin.CoreComponents.html#label/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.label/1","doc":"* `inner_block` (required)","ref":"AshAdmin.CoreComponents.html#label/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.list/1","doc":"Renders a data list.","ref":"AshAdmin.CoreComponents.html#list/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.list/1","doc":"<.list>\n      <:item title=\"Title\"><%= @post.title %></:item>\n      <:item title=\"Views\"><%= @post.views %></:item>\n    </.list>","ref":"AshAdmin.CoreComponents.html#list/1-examples"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"AshAdmin.CoreComponents.html#list/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.modal/1","doc":"Renders a modal.","ref":"AshAdmin.CoreComponents.html#modal/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.modal/1","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","ref":"AshAdmin.CoreComponents.html#modal/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"AshAdmin.CoreComponents.html#modal/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.modal/1","doc":"* `inner_block` (required)","ref":"AshAdmin.CoreComponents.html#modal/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.show/2","doc":"","ref":"AshAdmin.CoreComponents.html#show/2"},{"type":"function","title":"AshAdmin.CoreComponents.show_modal/2","doc":"","ref":"AshAdmin.CoreComponents.html#show_modal/2"},{"type":"function","title":"AshAdmin.CoreComponents.simple_form/1","doc":"Renders a simple form.","ref":"AshAdmin.CoreComponents.html#simple_form/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"AshAdmin.CoreComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"AshAdmin.CoreComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"AshAdmin.CoreComponents.html#simple_form/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.table/1","doc":"Renders a table with generic styling.","ref":"AshAdmin.CoreComponents.html#table/1"},{"type":"function","title":"Examples - AshAdmin.CoreComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\"><%= user.id %></:col>\n      <:col :let={user} label=\"username\"><%= user.username %></:col>\n    </.table>","ref":"AshAdmin.CoreComponents.html#table/1-examples"},{"type":"function","title":"Attributes - AshAdmin.CoreComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"AshAdmin.CoreComponents.html#table/1-attributes"},{"type":"function","title":"Slots - AshAdmin.CoreComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"AshAdmin.CoreComponents.html#table/1-slots"},{"type":"function","title":"AshAdmin.CoreComponents.translate_error/1","doc":"Translates an error message using gettext.","ref":"AshAdmin.CoreComponents.html#translate_error/1"},{"type":"function","title":"AshAdmin.CoreComponents.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"AshAdmin.CoreComponents.html#translate_errors/2"},{"type":"module","title":"AshAdmin.Domain","doc":"A domain extension to alter the behavior of a domain in the admin UI.","ref":"AshAdmin.Domain.html"},{"type":"macro","title":"AshAdmin.Domain.admin/1","doc":"","ref":"AshAdmin.Domain.html#admin/1"},{"type":"function","title":"AshAdmin.Domain.default_resource_page/1","doc":"","ref":"AshAdmin.Domain.html#default_resource_page/1"},{"type":"function","title":"AshAdmin.Domain.name/1","doc":"","ref":"AshAdmin.Domain.html#name/1"},{"type":"function","title":"AshAdmin.Domain.resource_group_labels/1","doc":"","ref":"AshAdmin.Domain.html#resource_group_labels/1"},{"type":"function","title":"AshAdmin.Domain.show?/1","doc":"","ref":"AshAdmin.Domain.html#show?/1"},{"type":"function","title":"AshAdmin.Domain.show_resources/1","doc":"","ref":"AshAdmin.Domain.html#show_resources/1"},{"type":"module","title":"AshAdmin.Gettext","doc":"A module providing Internationalization with a gettext-based API.\n\nBy using [Gettext](https://hexdocs.pm/gettext),\nyour module gains a set of macros for translations, for example:\n\n    use Gettext, backend: AshAdmin.Gettext\n\n    # Simple translation\n    gettext(\"Here is the string to translate\")\n\n    # Plural translation\n    ngettext(\"Here is the string to translate\",\n             \"Here are the strings to translate\",\n             3)\n\n    # Domain-based translation\n    dgettext(\"errors\", \"Here is the error message to translate\")\n\nSee the [Gettext Docs](https://hexdocs.pm/gettext) for detailed usage.","ref":"AshAdmin.Gettext.html"},{"type":"function","title":"AshAdmin.Gettext.handle_missing_bindings/2","doc":"Callback implementation for  Gettext.Backend.handle_missing_bindings/2 .","ref":"AshAdmin.Gettext.html#handle_missing_bindings/2"},{"type":"function","title":"AshAdmin.Gettext.handle_missing_plural_translation/7","doc":"Callback implementation for  Gettext.Backend.handle_missing_plural_translation/7 .","ref":"AshAdmin.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","title":"AshAdmin.Gettext.handle_missing_translation/5","doc":"Callback implementation for  Gettext.Backend.handle_missing_translation/5 .","ref":"AshAdmin.Gettext.html#handle_missing_translation/5"},{"type":"module","title":"AshAdmin.Resource","doc":"A resource extension to alter the behaviour of a resource in the admin UI.","ref":"AshAdmin.Resource.html"},{"type":"function","title":"AshAdmin.Resource.actor?/1","doc":"","ref":"AshAdmin.Resource.html#actor?/1"},{"type":"macro","title":"AshAdmin.Resource.admin/1","doc":"","ref":"AshAdmin.Resource.html#admin/1"},{"type":"function","title":"AshAdmin.Resource.create_actions/1","doc":"","ref":"AshAdmin.Resource.html#create_actions/1"},{"type":"function","title":"AshAdmin.Resource.destroy_actions/1","doc":"","ref":"AshAdmin.Resource.html#destroy_actions/1"},{"type":"function","title":"AshAdmin.Resource.field/2","doc":"","ref":"AshAdmin.Resource.html#field/2"},{"type":"function","title":"AshAdmin.Resource.fields/1","doc":"","ref":"AshAdmin.Resource.html#fields/1"},{"type":"function","title":"AshAdmin.Resource.format_fields/1","doc":"","ref":"AshAdmin.Resource.html#format_fields/1"},{"type":"function","title":"AshAdmin.Resource.generic_actions/1","doc":"","ref":"AshAdmin.Resource.html#generic_actions/1"},{"type":"function","title":"AshAdmin.Resource.label_field/1","doc":"","ref":"AshAdmin.Resource.html#label_field/1"},{"type":"function","title":"AshAdmin.Resource.name/1","doc":"","ref":"AshAdmin.Resource.html#name/1"},{"type":"function","title":"AshAdmin.Resource.polymorphic?/2","doc":"","ref":"AshAdmin.Resource.html#polymorphic?/2"},{"type":"function","title":"AshAdmin.Resource.polymorphic_actions/1","doc":"","ref":"AshAdmin.Resource.html#polymorphic_actions/1"},{"type":"function","title":"AshAdmin.Resource.polymorphic_tables/2","doc":"","ref":"AshAdmin.Resource.html#polymorphic_tables/2"},{"type":"function","title":"AshAdmin.Resource.read_actions/1","doc":"","ref":"AshAdmin.Resource.html#read_actions/1"},{"type":"function","title":"AshAdmin.Resource.relationship_display_fields/1","doc":"","ref":"AshAdmin.Resource.html#relationship_display_fields/1"},{"type":"function","title":"AshAdmin.Resource.relationship_select_max_items/1","doc":"","ref":"AshAdmin.Resource.html#relationship_select_max_items/1"},{"type":"function","title":"AshAdmin.Resource.resource_group/1","doc":"","ref":"AshAdmin.Resource.html#resource_group/1"},{"type":"function","title":"AshAdmin.Resource.show_action/1","doc":"","ref":"AshAdmin.Resource.html#show_action/1"},{"type":"function","title":"AshAdmin.Resource.show_calculations/1","doc":"","ref":"AshAdmin.Resource.html#show_calculations/1"},{"type":"function","title":"AshAdmin.Resource.show_sensitive_fields/1","doc":"","ref":"AshAdmin.Resource.html#show_sensitive_fields/1"},{"type":"function","title":"AshAdmin.Resource.table_columns/1","doc":"","ref":"AshAdmin.Resource.html#table_columns/1"},{"type":"function","title":"AshAdmin.Resource.update_actions/1","doc":"","ref":"AshAdmin.Resource.html#update_actions/1"},{"type":"module","title":"AshAdmin.Resource.Field","doc":"The representation of a configured field in the admin UI.","ref":"AshAdmin.Resource.Field.html"},{"type":"function","title":"AshAdmin.Resource.Field.schema/0","doc":"","ref":"AshAdmin.Resource.Field.html#schema/0"},{"type":"module","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation","doc":"Adds a `ash_admin_position_sort` calculation to resources that have defined admin.label_field.\nThis calculation is used to sort typeahead search suggestions in a related resource field.","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.after?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.after?/1 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#after?/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.after_compile?/0","doc":"Callback implementation for  Spark.Dsl.Transformer.after_compile?/0 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#after_compile?/0"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.before?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.before?/1 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#before?/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.describe/1","doc":"Callback implementation for  Ash.Resource.Calculation.describe/1 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#describe/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.has_calculate?/0","doc":"","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#has_calculate?/0"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.has_expression?/0","doc":"Callback implementation for  Ash.Resource.Calculation.has_expression?/0 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#has_expression?/0"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.init/1","doc":"Callback implementation for  Ash.Resource.Calculation.init/1 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#init/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.load/3","doc":"Callback implementation for  Ash.Resource.Calculation.load/3 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#load/3"},{"type":"function","title":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.strict_loads?/0","doc":"Callback implementation for  Ash.Resource.Calculation.strict_loads?/0 .","ref":"AshAdmin.Resource.Transformers.AddPositionSortCalculation.html#strict_loads?/0"},{"type":"module","title":"AshAdmin.Resource.Transformers.ValidateTableColumns","doc":"Validates that table columns are all either attributes, or `:one` cardinality relationships.","ref":"AshAdmin.Resource.Transformers.ValidateTableColumns.html"},{"type":"function","title":"AshAdmin.Resource.Transformers.ValidateTableColumns.after?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.after?/1 .","ref":"AshAdmin.Resource.Transformers.ValidateTableColumns.html#after?/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.ValidateTableColumns.after_compile?/0","doc":"Callback implementation for  Spark.Dsl.Transformer.after_compile?/0 .","ref":"AshAdmin.Resource.Transformers.ValidateTableColumns.html#after_compile?/0"},{"type":"function","title":"AshAdmin.Resource.Transformers.ValidateTableColumns.before?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.before?/1 .","ref":"AshAdmin.Resource.Transformers.ValidateTableColumns.html#before?/1"},{"type":"function","title":"AshAdmin.Resource.Transformers.ValidateTableColumns.transform/1","doc":"Callback implementation for  Spark.Dsl.Transformer.transform/1 .","ref":"AshAdmin.Resource.Transformers.ValidateTableColumns.html#transform/1"},{"type":"module","title":"AshAdmin.Router","doc":"Provides LiveView routing for AshAdmin.","ref":"AshAdmin.Router.html"},{"type":"macro","title":"AshAdmin.Router.admin_browser_pipeline/1","doc":"Can be used to create a `:browser` pipeline easily if you don't have one.\n\nBy default it is called `:browser`, but you can rename it by supplying an argument,\nfor example:\n\n```elixir\ndefmodule MyAppWeb.Router do\n  use Phoenix.Router\n\n  import AshAdmin.Router\n  admin_browser_pipeline :something\n\n  scope \"/\" do\n\n    pipe_through [:something]\n    ash_admin \"/admin\"\n  end\nend\n```","ref":"AshAdmin.Router.html#admin_browser_pipeline/1"},{"type":"macro","title":"AshAdmin.Router.ash_admin/2","doc":"Defines an AshAdmin route.\nIt expects the `path` the admin dashboard will be mounted at\nand a set of options.","ref":"AshAdmin.Router.html#ash_admin/2"},{"type":"macro","title":"Options - AshAdmin.Router.ash_admin/2","doc":"* `:live_socket_path` - Optional override for the socket path. it must match\n    the `socket \"/live\", Phoenix.LiveView.Socket` in your endpoint. Defaults to `/live`.\n\n  * `:on_mount` - Optional list of hooks to attach to the mount lifecycle.\n\n  * `:session` - Optional extra session map or MFA tuple to be merged with the session.\n\n  * `:csp_nonce_assign_key` - Optional assign key to find the CSP nonce value used for assets\n    Supports either `atom()` or\n      `%{optional(:img) => atom(), optional(:script) => atom(), optional(:style) => atom()}`   \n      Defaults to `ash_admin-Ed55GFnX` for backwards compatibility.\n  \n  * `:live_session_name` - Optional atom to name the `live_session`. Defaults to `:ash_admin`.","ref":"AshAdmin.Router.html#ash_admin/2-options"},{"type":"macro","title":"Examples - AshAdmin.Router.ash_admin/2","doc":"defmodule MyAppWeb.Router do\n      use Phoenix.Router\n\n      scope \"/\" do\n        import AshAdmin.Router\n\n        # Make sure you are piping through the browser pipeline\n        # If you don't have one, see `admin_browser_pipeline/1`\n        pipe_through [:browser]\n\n        ash_admin \"/admin\"\n        ash_admin \"/csp/admin\", live_session_name: :ash_admin_csp, csp_nonce_assign_key: :csp_nonce_value\n      end\n    end","ref":"AshAdmin.Router.html#ash_admin/2-examples"},{"type":"task","title":"mix ash_admin.install","doc":"Installs AshAdmin","ref":"Mix.Tasks.AshAdmin.Install.html"},{"type":"task","title":"Example - mix ash_admin.install","doc":"```bash\nmix ash_admin.install --example arg\n```","ref":"Mix.Tasks.AshAdmin.Install.html#module-example"},{"type":"exception","title":"AshAdmin.Errors.NotFound","doc":"","ref":"AshAdmin.Errors.NotFound.html"},{"type":"function","title":"AshAdmin.Errors.NotFound.message/1","doc":"Callback implementation for  Exception.message/1 .","ref":"AshAdmin.Errors.NotFound.html#message/1"},{"type":"extras","title":"README","doc":"![Logo](https://github.com/ash-project/ash/blob/main/logos/cropped-for-header-black-text.png?raw=true#gh-light-mode-only)\n![Logo](https://github.com/ash-project/ash/blob/main/logos/cropped-for-header-white-text.png?raw=true#gh-dark-mode-only)\n\n![Elixir CI](https://github.com/ash-project/ash_admin/workflows/CI/badge.svg)\n[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)\n[![Hex version badge](https://img.shields.io/hexpm/v/ash_admin.svg)](https://hex.pm/packages/ash_admin)\n[![Hexdocs badge](https://img.shields.io/badge/docs-hexdocs-purple)](https://hexdocs.pm/ash_admin)\n\n# AshAdmin\n\nWelcome! This is a super-admin UI dashboard for [Ash Framework](https://hexdocs.pm/ash) applications, built with Phoenix LiveView.","ref":"readme.html"},{"type":"extras","title":"Tutorials - README","doc":"- [Getting Started with AshAdmin](documentation/tutorials/getting-started-with-ash-admin.md)","ref":"readme.html#tutorials"},{"type":"extras","title":"Reference - README","doc":"- [AshAdmin.Domain DSL](documentation/dsls/DSL-AshAdmin.Domain.md)\n- [AshAdmin.Resource DSL](documentation/dsls/DSL-AshAdmin.Resource.md)","ref":"readme.html#reference"},{"type":"extras","title":"Getting Started with AshAdmin","doc":"# Getting Started with AshAdmin","ref":"getting-started-with-ash-admin.html"},{"type":"extras","title":"Demo - Getting Started with AshAdmin","doc":"https://www.youtube.com/watch?v=aFMLz3cpQ8c","ref":"getting-started-with-ash-admin.html#demo"},{"type":"extras","title":"Installation - Getting Started with AshAdmin","doc":"Add the `ash_admin` dependency to your `mix.exs` file:\n\n```elixir\n{:ash_admin, \"~> 0.13.3\"}\n```","ref":"getting-started-with-ash-admin.html#installation"},{"type":"extras","title":"Setup - Getting Started with AshAdmin","doc":"<!-- tabs-open -->","ref":"getting-started-with-ash-admin.html#setup"},{"type":"extras","title":"With Igniter (Recommended) - Getting Started with AshAdmin","doc":"```\nmix igniter.install ash_admin\n```","ref":"getting-started-with-ash-admin.html#with-igniter-recommended"},{"type":"extras","title":"Manual - Getting Started with AshAdmin","doc":"Modify your router to add AshAdmin at whatever path you'd like to serve it at.\n\n```elixir\ndefmodule MyAppWeb.Router do\n  use Phoenix.Router\n\n  import AshAdmin.Router\n\n  # AshAdmin requires a Phoenix LiveView `:browser` pipeline\n  # If you DO NOT have a `:browser` pipeline already, then AshAdmin has a `:browser` pipeline\n  # Most applications will not need this:\n  admin_browser_pipeline :browser\n\n  # NOTE: `scope/2` here does not have a second argument.\n  # If it looks like `scope \"/\", MyAppWeb`, create a *new* scope, don't copy the contents into your scope\n  scope \"/\" do\n    # Pipe it through your browser pipeline\n    pipe_through [:browser]\n\n    ash_admin \"/admin\"\n  end\nend\n```\n\n<!-- tabs-close -->\n\nAdd the `AshAdmin.Domain` extension to each domain you want to show in the AshAdmin dashboard, and configure it to show. See [DSL: AshAdmin.Domain](/documentation/dsls/DSL-AshAdmin.Domain.md) for more configuration options.\n\n```elixir\n# In your Domain(s)\nuse Ash.Domain,\n  extensions: [AshAdmin.Domain]\n\nadmin do\n  show? true\nend\n```\n\nAll resources in each Domain will automatically be included in AshAdmin. To configure a resource, use the `AshAdmin.Resource` extension, and then use the [DSL: AshAdmin.Resource](/documentation/dsls/DSL-AshAdmin.Resource.md) configuration options. Specifically, if your app has an actor you will want to configure that.\n\n```elixir\n# In your resource that acts as an actor (e.g. User)\nuse Ash.Resource,\n  domain: YourDomain,\n  extensions: [AshAdmin.Resource]\n\nadmin do\n  actor? true\nend\n```\n\n\n> #### Warning {: .warning}\n>\n> There is no builtin security for your AshAdmin (except your app's normal policies). In most cases you will want to secure your AshAdmin routes in some way to prevent them from being publicly accessible.\n\nStart your project (usually by running `mix phx.server` in a terminal) and visit `/admin` in your browser (or the path you configured `ash_admin` with in your router).","ref":"getting-started-with-ash-admin.html#manual"},{"type":"extras","title":"Security - Getting Started with AshAdmin","doc":"You can limit access to ash_admin when using `AshAuthentication` like so:\n```\nscope \"/\" do\n  # Pipe it through your browser pipeline\n  pipe_through [:browser]\n\n  ash_admin \"/admin\", AshAuthentication.Phoenix.LiveSession.opts(\n    on_mount: [{ExampleWeb.LiveUserAuth, :admin_only}] #  <--- You can keep specific users out like so\n  )\nend\n```\n\nThen, we'll need to define :admin_only in our [example_web/live_user_auth.ex]:\n```\ndef on_mount(:admin_only, _params, _session, socket) do\n  # If the user is logged in, check the user role is admin.  Continue if so,\n  # otherwise redirect to main page or a 403 page\n  if socket.assigns[:current_user] do\n    if socket.assigns[:current_user].role == :admin do\n      {:cont, socket}\n    else\n      {:halt, Phoenix.LiveView.redirect(socket, to: ~p\"/\")}\n    end\n  # If user isn't logged in, redirect to sign in page\n  else\n    {:halt, Phoenix.LiveView.redirect(socket, to: ~p\"/sign-in\")}\n  end\nend\n```\n\nOf course, the user role attribute will need to be added to our User resource in [example/accounts/user.ex]\n```\nalias Example.Accounts.User\n\nattributes do\n  ## ... previous attributes ...\n  attribute :role, User.Role, default: :user  \nend\n```\nDefine our roles in a new file, [example/accounts/user/role.ex].  You can use whatever names you'd like:\n```\ndefmodule Example.Accounts.User.Role do\n  use Ash.Type.Enum, values: [:user, :admin, :moderator] \nend\n```\nIf you don't want to use Ash.Type.Enum, you could update the User's attribute as such:\n```\nattribute :role, :atom do\n    constraints [one_of: [:user, :admin, :moderator]]\n    default :user\nend\n```\nDone.  \n\nThe following steps are optional:\nif you want users who use the dashboard to act “as themselves” (and thus follow any policy rules with themselves as the actor), you’ll also want to specify an actor plug:\n```\ndefmodule ExampleWeb.AshAdminActorPlug do\n  @moduledoc false\n  @behaviour AshAdmin.ActorPlug\n\n  @doc false\n  @impl true\n  def actor_assigns(socket, _session) do\n    dispatcher = socket.assigns[:current_user]\n\n    [actor: dispatcher]\n  end\n\n  @doc false\n  @impl true\n  def set_actor_session(conn), do: conn\nend\n```\nand then configure it like so\n```\nconfig :ash_admin, :actor_plug, MyAppWeb.AshAdminActorPlug\n```","ref":"getting-started-with-ash-admin.html#security"},{"type":"extras","title":"Content Security Policy - Getting Started with AshAdmin","doc":"If your app specifies a content security policy header, eg. via\n\n```elixir\nplug :put_secure_browser_headers, %{\"content-security-policy\" => \"default-src 'self'\"}\n```\n\nin your router, then the stylesheets and JavaScript used to power AshAdmin will be blocked by your browser.\n\nTo avoid this, you can add the default AshAdmin nonces to the `default-src` allowlist, ie.\n\n```elixir\nplug :put_secure_browser_headers, %{\"content-security-policy\" => \"default-src 'nonce-ash_admin-Ed55GFnX' 'self'\"}\n```\n\nAlternatively you can supply your own nonces to the `ash_admin` route, by setting a `:csp_nonce_assign_key` in the options list, ie.\n\n```elixir\nash_admin \"/admin\", csp_nonce_assign_key: :csp_nonce_value\n```\n\nThis will allow AshAdmin-generated inline CSS and JS blocks to execute normally.","ref":"getting-started-with-ash-admin.html#content-security-policy"},{"type":"extras","title":"Troubleshooting - Getting Started with AshAdmin","doc":"#### UI issues\n\nIf your admin UI is not responding as expected, check your browser's developer console for content-security-policy violations (see above).\n\n#### Router issues\n\nIf you are seeing the following error `(UndefinedFunctionError) function YourAppWeb.AshAdmin.PageLive.__live__/0 is undefined (module YourAppWeb.AshAdmin.PageLive is not available)` it likely means that you added the ash admin route macro under a scope with a prefix. Make sure that you add it under a scope without any prefixes.\n\n```elixir\n  # Incorrect (with YourAppWeb prefix)\n  scope \"/\", YourAppWeb do\n    pipe_through [:browser]\n\n    ash_admin \"/admin\"\n  end\n\n  # Correct (without prefix)\n  scope \"/\" do\n    pipe_through [:browser]\n\n    ash_admin \"/admin\"\n  end\n```","ref":"getting-started-with-ash-admin.html#troubleshooting"},{"type":"extras","title":"Contributing to AshAdmin","doc":"# Contributing to AshAdmin\n\nAshAdmin includes a development app, located in the `dev` folder, so you don't need to have an external Phoenix app to plug AshAdmin into.\n\nYou'll need to have PostgreSQL set up locally. Then you can run:\n\n* `mix ash_postgres.create`\n* `mix migrate`\n* `mix migrate_tenants`\n* `mix setup`\n\nThen, you can start the app server with: `mix dev`\n\nIf you make changes to the dev resources, you can generate migrations with `mix generate_migrations`\n\nIf you make changes to any of the assets (CSS or JavaScript), including updating dependencies that include assets such as Phoenix LiveView, you will need to recompile the assets with `mix assets.deploy`.\n\nFor general Ash contribution details, check out [our contribution guide](`e:ash:contributing-to-ash.md`).","ref":"contributing-to-ash-admin.html"},{"type":"DSL","title":"admin - dsl-ashadmin-domain","doc":"Configure the admin dashboard for a given domain.","ref":"dsl-ashadmin-domain.html#admin"},{"type":"DSL","title":"admin.name - dsl-ashadmin-domain","doc":"The name of the domain in the dashboard. Will be derived if not set.","ref":"dsl-ashadmin-domain.html#admin-name"},{"type":"DSL","title":"admin.show? - dsl-ashadmin-domain","doc":"Whether or not this domain and its resources should be included in the admin dashboard.","ref":"dsl-ashadmin-domain.html#admin-show?"},{"type":"DSL","title":"admin.show_resources - dsl-ashadmin-domain","doc":"List of resources that should be included in the admin dashboard","ref":"dsl-ashadmin-domain.html#admin-show_resources"},{"type":"DSL","title":"admin.default_resource_page - dsl-ashadmin-domain","doc":"Set the default page for the resource to be the primary read action or the resource schema. Schema is the default for backwards compatibility, if a resource doesn't have a primary read action it will fallback to the schema view.","ref":"dsl-ashadmin-domain.html#admin-default_resource_page"},{"type":"DSL","title":"admin.resource_group_labels - dsl-ashadmin-domain","doc":"Humanized names for each resource group to appear in the admin area. These will be used as labels in the top navigation dropdown and will be shown sorted as given. If a key for a group does not appear in this mapping, the label will not be rendered.","ref":"dsl-ashadmin-domain.html#admin-resource_group_labels"},{"type":"DSL","title":"admin - dsl-ashadmin-resource","doc":"Configure the admin dashboard for a given resource.","ref":"dsl-ashadmin-resource.html#admin"},{"type":"DSL","title":"admin.name - dsl-ashadmin-resource","doc":"The proper name to use when this resource appears in the admin interface.","ref":"dsl-ashadmin-resource.html#admin-name"},{"type":"DSL","title":"admin.actor? - dsl-ashadmin-resource","doc":"Whether or not this resource can be used as the actor for requests.","ref":"dsl-ashadmin-resource.html#admin-actor?"},{"type":"DSL","title":"admin.show_action - dsl-ashadmin-resource","doc":"The action to use when linking to the resource/viewing a single record. Defaults to the primary read action.","ref":"dsl-ashadmin-resource.html#admin-show_action"},{"type":"DSL","title":"admin.read_actions - dsl-ashadmin-resource","doc":"A list of read actions that can be used to show resource details. By default, all actions are included.","ref":"dsl-ashadmin-resource.html#admin-read_actions"},{"type":"DSL","title":"admin.generic_actions - dsl-ashadmin-resource","doc":"A list of generic actions that can be used to show resource details. By default, all actions are included.","ref":"dsl-ashadmin-resource.html#admin-generic_actions"},{"type":"DSL","title":"admin.create_actions - dsl-ashadmin-resource","doc":"A list of create actions that can create records. By default, all actions are included.","ref":"dsl-ashadmin-resource.html#admin-create_actions"},{"type":"DSL","title":"admin.update_actions - dsl-ashadmin-resource","doc":"A list of update actions that can be used to update records. By default, all actions are included.","ref":"dsl-ashadmin-resource.html#admin-update_actions"},{"type":"DSL","title":"admin.destroy_actions - dsl-ashadmin-resource","doc":"A list of destroy actions that can be used to destroy records. By default, all actions are included.","ref":"dsl-ashadmin-resource.html#admin-destroy_actions"},{"type":"DSL","title":"admin.polymorphic_tables - dsl-ashadmin-resource","doc":"For resources that use ash_postgres' polymorphism capabilities, you can provide a list of tables that should be available to select. These will be added to the list of derivable tables based on scanning all domains and resources provided to ash_admin.","ref":"dsl-ashadmin-resource.html#admin-polymorphic_tables"},{"type":"DSL","title":"admin.polymorphic_actions - dsl-ashadmin-resource","doc":"For resources that use ash_postgres' polymorphism capabilities, you can provide a list of actions that should require a table to be set. If this is not set, then *all* actions will require tables.","ref":"dsl-ashadmin-resource.html#admin-polymorphic_actions"},{"type":"DSL","title":"admin.table_columns - dsl-ashadmin-resource","doc":"The list of attributes to render on the table view.","ref":"dsl-ashadmin-resource.html#admin-table_columns"},{"type":"DSL","title":"admin.format_fields - dsl-ashadmin-resource","doc":"The list of fields and their formats represented as a MFA. For example: `updated_at: {Timex, :format!, [\"{0D}-{0M}-{YYYY} {h12}:{m} {AM}\"]}`. Datatable pages format all given fields. Show and Update pages format given read-only fields of types `Ash.Type.Date`, `Ash.Type.DateTime`, `Ash.Type.Time`, `Ash.Type.NaiveDatetime`, `Ash.Type.UtcDatetime` and `Ash.Type.UtcDatetimeUsec`.","ref":"dsl-ashadmin-resource.html#admin-format_fields"},{"type":"DSL","title":"admin.relationship_display_fields - dsl-ashadmin-resource","doc":"The list of attributes to render when this resource is shown as a relationship on another resource's datatable.","ref":"dsl-ashadmin-resource.html#admin-relationship_display_fields"},{"type":"DSL","title":"admin.resource_group - dsl-ashadmin-resource","doc":"The group in the top resource dropdown that the resource appears in.","ref":"dsl-ashadmin-resource.html#admin-resource_group"},{"type":"DSL","title":"admin.show_sensitive_fields - dsl-ashadmin-resource","doc":"The list of fields that should not be redacted in the admin UI even if they are marked as sensitive.","ref":"dsl-ashadmin-resource.html#admin-show_sensitive_fields"},{"type":"DSL","title":"admin.show_calculations - dsl-ashadmin-resource","doc":"A list of calculation that can be calculate when this resource is shown. By default, all calculations are included.","ref":"dsl-ashadmin-resource.html#admin-show_calculations"},{"type":"DSL","title":"admin.label_field - dsl-ashadmin-resource","doc":"The field to use as the label when the resource appears in a relationship select or typeahead field on another resource's form.","ref":"dsl-ashadmin-resource.html#admin-label_field"},{"type":"DSL","title":"admin.relationship_select_max_items - dsl-ashadmin-resource","doc":"The maximum number of items to show in a select field when this resource is shown as a relationship on another resource's form. If the number of related resources is higher, a typeahead selector will be used.","ref":"dsl-ashadmin-resource.html#admin-relationship_select_max_items"},{"type":"DSL","title":"admin.form - dsl-ashadmin-resource","doc":"Configure the appearance of fields in admin forms.","ref":"dsl-ashadmin-resource.html#admin-form"},{"type":"DSL","title":"admin.form.field - dsl-ashadmin-resource","doc":"Declare non-default behavior for a specific attribute.","ref":"dsl-ashadmin-resource.html#admin-form-field"},{"type":"DSL","title":"admin.form.field.name - dsl-ashadmin-resource","doc":"The name of the field to be modified","ref":"dsl-ashadmin-resource.html#admin-form-field-name"},{"type":"DSL","title":"admin.form.field.type - dsl-ashadmin-resource","doc":"The type of the value in the form. Use `default` if you are just specifying field order","ref":"dsl-ashadmin-resource.html#admin-form-field-type"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n<!-- changelog -->\n\n## [v0.13.5](https://github.com/ash-project/ash_admin/compare/v0.13.4...v0.13.5) (2025-05-20)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* don't duplicate `ash_admin` routes on installation\n\n## [v0.13.4](https://github.com/ash-project/ash_admin/compare/v0.13.3...v0.13.4) (2025-04-09)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* don't display union type field for `nil` values\n\n## [v0.13.3](https://github.com/ash-project/ash_admin/compare/v0.13.2...v0.13.3) (2025-03-18)","ref":"changelog.html#bug-fixes-1"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* use actor, authorize? and tenant from context for relationship field\n\n## [v0.13.2](https://github.com/ash-project/ash_admin/compare/v0.13.1...v0.13.2) (2025-03-05)","ref":"changelog.html#bug-fixes-2"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* show show_page properly\n\n## [v0.13.1](https://github.com/ash-project/ash_admin/compare/v0.13.0...v0.13.1) (2025-02-22)","ref":"changelog.html#bug-fixes-3"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* use AbortSignal in Typeahead hook to remove up event listeners","ref":"changelog.html#bug-fixes-4"},{"type":"extras","title":"Improvements: - Change Log","doc":"* Search max items default (#274)\n\n## [v0.13.0](https://github.com/ash-project/ash_admin/compare/v0.12.6...v0.13.0) (2025-02-17)","ref":"changelog.html#improvements"},{"type":"extras","title":"Features: - Change Log","doc":"* Select/Typeahead for related items using `label_field` (#222)\n\n## [v0.12.6](https://github.com/ash-project/ash_admin/compare/v0.12.5...v0.12.6) (2025-01-13)","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* guard against problematic primary read action configurations (#255) (#256)","ref":"changelog.html#bug-fixes-5"},{"type":"extras","title":"Improvements: - Change Log","doc":"* add installer\n\n## [v0.12.5](https://github.com/ash-project/ash_admin/compare/v0.12.4...v0.12.5) (2025-01-06)","ref":"changelog.html#improvements-1"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* use configured actions for determining update/destroy links\n\n## [v0.12.4](https://github.com/ash-project/ash_admin/compare/v0.12.3...v0.12.4) (2025-01-03)","ref":"changelog.html#bug-fixes-6"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* UnsuedParams: Filter nil values (#248)\n\n* UnusedParams: handle nil params (#247)\n\n* PhoenixLiveView: remove phx-feedback-for and fix unsued params (#244)\n\n## [v0.12.3](https://github.com/ash-project/ash_admin/compare/v0.12.2...v0.12.3) (2024-12-19)","ref":"changelog.html#bug-fixes-7"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* dont show all calculations by default\n\n* Calculations: Show form when calculation doesn't have arguments (#241)\n\n## [v0.12.2](https://github.com/ash-project/ash_admin/compare/v0.12.1...v0.12.2) (2024-12-17)","ref":"changelog.html#bug-fixes-8"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* use pagination if the action supports it\n\n## [v0.12.1](https://github.com/ash-project/ash_admin/compare/v0.12.0...v0.12.1) (2024-12-17)","ref":"changelog.html#bug-fixes-9"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"* various fixes for new loadable calculation forms\n\n* handling of simple union types in arrays of union types (#240)\n\n* duplicate element ids in form for union arrays\n\n* fix form handling of \"simple\" union type (#220) (#238)\n\n## [v0.12.0](https://github.com/ash-project/ash_admin/compare/v0.11.11...v0.12.0) (2024-12-12)","ref":"changelog.html#bug-fixes-10"},{"type":"extras","title":"Features: - Change Log","doc":"- Calculations: Able to show calculations on show page (#235)\n\n- Format date/time fields also in Show and Update pages (#229)","ref":"changelog.html#features-1"},{"type":"extras","title":"Improvements: - Change Log","doc":"- Sort resource_group_labels by given order (#225)\n\n## [v0.11.11](https://github.com/ash-project/ash_admin/compare/v0.11.10...v0.11.11) (2024-10-30)","ref":"changelog.html#improvements-2"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly update any kind of form data\n\n- fix relationship loading on Resource Update form (#220) (#221)\n\n## [v0.11.10](https://github.com/ash-project/ash_admin/compare/v0.11.9...v0.11.10) (2024-10-29)","ref":"changelog.html#bug-fixes-11"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- various fixes for unions & form mutations\n\n## [v0.11.9](https://github.com/ash-project/ash_admin/compare/v0.11.8...v0.11.9) (2024-10-17)","ref":"changelog.html#bug-fixes-12"},{"type":"extras","title":"Improvements: - Change Log","doc":"- make generic actions list properly configurable\n\n## [v0.11.8](https://github.com/ash-project/ash_admin/compare/v0.11.7...v0.11.8) (2024-10-17)","ref":"changelog.html#improvements-3"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- clean up remaining generic action necessities\n\n## [v0.11.7](https://github.com/ash-project/ash_admin/compare/v0.11.6...v0.11.7) (2024-10-17)","ref":"changelog.html#bug-fixes-13"},{"type":"extras","title":"Improvements: - Change Log","doc":"- support for generic actions\n\n## [v0.11.6](https://github.com/ash-project/ash_admin/compare/v0.11.5...v0.11.6) (2024-09-19)","ref":"changelog.html#improvements-4"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly handle nested union form types by cleaning/massaging them\n\n## [v0.11.5](https://github.com/ash-project/ash_admin/compare/v0.11.4...v0.11.5) (2024-08-26)","ref":"changelog.html#bug-fixes-14"},{"type":"extras","title":"Improvements: - Change Log","doc":"- remove tails\n\n## [v0.11.4](https://github.com/ash-project/ash_admin/compare/v0.11.3...v0.11.4) (2024-08-01)","ref":"changelog.html#improvements-5"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly support adding embeds for nil values\n\n- upgrade `ash_phoenix` for fix on calculating values\n\n- use resource's configured domain before default domain\n\n- ensure `actor_tenant` is always set\n\n- ensure table columsn are loaded, bypassing (as yet) unknown bug","ref":"changelog.html#bug-fixes-15"},{"type":"extras","title":"Improvements: - Change Log","doc":"- don't log forbidden errors\n\n## [v0.11.3](https://github.com/ash-project/ash_admin/compare/v0.11.2...v0.11.3) (2024-06-25)","ref":"changelog.html#improvements-6"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't go to potentially non-existant create actions\n\n## [v0.11.2](https://github.com/ash-project/ash_admin/compare/v0.11.1...v0.11.2) (2024-06-25)","ref":"changelog.html#bug-fixes-16"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly render errors data table forms\n\n- update to support 0.20 (#179)\n\n## [v0.11.1](https://github.com/ash-project/ash_admin/compare/v0.11.0...v0.11.1) (2024-06-13)","ref":"changelog.html#bug-fixes-17"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly support lists of embeds\n\n- render relationship inputs even when type is not a map\n\n- properly render tenant form on mobile sidebar","ref":"changelog.html#bug-fixes-18"},{"type":"extras","title":"Improvements: - Change Log","doc":"- various fixes around unions\n\n- support for unions\n\n## [v0.11.0](https://github.com/ash-project/ash_admin/compare/v0.10.10-rc.1...v0.11.0) (2024-05-10)","ref":"changelog.html#improvements-7"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- TopNav when in mobile view (size < md) (#128)\n\n- properly accept private attributes in admin\n\n- clear actor_tenant cookie when clearing actor (#101)\n\n- small refactor in actor plug (#99)","ref":"changelog.html#bug-fixes-19"},{"type":"extras","title":"Improvements: - Change Log","doc":"- track actor tenant, use it for fetching actor\n\n## [v0.10.10-rc.1](https://github.com/ash-project/ash_admin/compare/v0.10.10-rc.0...v0.10.10-rc.1) (2024-04-03)","ref":"changelog.html#improvements-8"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- get checks passing, fix various bugs\n\n- loading multiple relationships with the same destination resource that has sensitive fields (#98)\n\n## [v0.10.10-rc.0](https://github.com/ash-project/ash_admin/compare/v0.10.9...v0.10.10-rc.0) (2024-04-02)","ref":"changelog.html#bug-fixes-20"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly add indexes to embedded list attribtues\n\n- ensure action selection is accurate/consistent\n\n- only consider top-level targets for input pruning\n\n- only show forms for map type inputs","ref":"changelog.html#bug-fixes-21"},{"type":"extras","title":"Improvements: - Change Log","doc":"- upgrade to 3.0\n\n## [v0.10.9](https://github.com/ash-project/ash_admin/compare/v0.10.8...v0.10.9) (2024-03-29)","ref":"changelog.html#improvements-9"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- only show forms for map type inputs","ref":"changelog.html#bug-fixes-22"},{"type":"extras","title":"Improvements: - Change Log","doc":"- upgrade to 3.0\n\n## [v0.10.8](https://github.com/ash-project/ash_admin/compare/v0.10.7...v0.10.8) (2024-03-19)","ref":"changelog.html#improvements-10"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- missing handle event in read forms\n\n- Allow blank/nil default values in :atom inputs when allow_nil? is true (#93)\n\n- Allow blank/default default values in :atom inputs when allow_nil? is true","ref":"changelog.html#bug-fixes-23"},{"type":"extras","title":"Improvements: - Change Log","doc":"- Add :csp_nonce_assign_key to ash_admin options (fix for /issues/91) (#92)\n\n## [v0.10.7](https://github.com/ash-project/ash_admin/compare/v0.10.6...v0.10.7) (2024-02-26)","ref":"changelog.html#improvements-11"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly prevent access to actions not configured to be in the UI\n\n## [v0.10.6](https://github.com/ash-project/ash_admin/compare/v0.10.5...v0.10.6) (2024-02-20)","ref":"changelog.html#bug-fixes-24"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix lists of values in deeply nested embeds\n\n## [v0.10.5](https://github.com/ash-project/ash_admin/compare/v0.10.4...v0.10.5) (2024-02-11)","ref":"changelog.html#bug-fixes-25"},{"type":"extras","title":"Improvements: - Change Log","doc":"- show internal errors in ash_admin form\n\n## [v0.10.4](https://github.com/ash-project/ash_admin/compare/v0.10.3...v0.10.4) (2024-02-04)","ref":"changelog.html#improvements-12"},{"type":"extras","title":"Improvements: - Change Log","doc":"- fix large gap in header in safari\n\n## [v0.10.3](https://github.com/ash-project/ash_admin/compare/v0.10.2...v0.10.3) (2024-02-04)","ref":"changelog.html#improvements-13"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- ensure starting state of dropdowns is honored","ref":"changelog.html#bug-fixes-26"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to phoenix_html 4.0\n\n- support any sensitive value\n\n- support PhoenixHTML 4.0\n\n- Adds show_sensitive_fields option to Resource to allow unredacting seâ¦ (#86)\n\n## [v0.10.2](https://github.com/ash-project/ash_admin/compare/v0.10.1...v0.10.2) (2024-01-04)","ref":"changelog.html#improvements-14"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- ensure tenant stays set after navigating from page\n\n## [v0.10.1](https://github.com/ash-project/ash_admin/compare/v0.10.0...v0.10.1) (2023-12-27)","ref":"changelog.html#bug-fixes-27"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't hide fields required for managing relationships\n\n- pass tenant to `Changeset.for_*` directly (#84)\n\n## [v0.10.0](https://github.com/ash-project/ash_admin/compare/v0.9.8...v0.10.0) (2023-11-30)","ref":"changelog.html#bug-fixes-28"},{"type":"extras","title":"Features: - Change Log","doc":"- Hide sensitive attributes by default (#82)","ref":"changelog.html#features-2"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix cases where data may not match expected patterns\n\n- allow nil values for all dropdowns to handle list behavior\n\n- Dropdown component has Surface hangover (#81)","ref":"changelog.html#bug-fixes-29"},{"type":"extras","title":"Improvements: - Change Log","doc":"- use prompt instead of adding a nil option for dropdowns\n\n- only ensure `nil` value is present on dropdowns when inside of lists\n\n- fix warnings on actor plug\n\n- use the first enum value as the default for dropdowns\n\n## [v0.9.8](https://github.com/ash-project/ash_admin/compare/v0.9.7...v0.9.8) (2023-11-17)","ref":"changelog.html#improvements-15"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- default table_columns to all attributes for proper selecting\n\n## [v0.9.7](https://github.com/ash-project/ash_admin/compare/v0.9.6...v0.9.7) (2023-11-16)","ref":"changelog.html#bug-fixes-30"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly match on errored loads\n\n## [v0.9.6](https://github.com/ash-project/ash_admin/compare/v0.9.5...v0.9.6) (2023-11-15)","ref":"changelog.html#bug-fixes-31"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- Fix JS syntax error and compile latest version of `app.js` (#77)\n\n- don't use nil as new {:array, type} value (#76)\n\n- load each to_one relationship independently and ignore it if it errors\n\n- allow showing false values for boolean selects (#74)\n\n- pass actor when fetching relationships attributes (#73)\n\n- properly provide `arguments` to read actions","ref":"changelog.html#bug-fixes-32"},{"type":"extras","title":"Improvements: - Change Log","doc":"- support calculations & aggregates in table columns\n\n## [v0.9.5](https://github.com/ash-project/ash_admin/compare/v0.9.4...v0.9.5) (2023-10-11)","ref":"changelog.html#improvements-16"},{"type":"extras","title":"Improvements: - Change Log","doc":"- force submit forms\n\n## [v0.9.4](https://github.com/ash-project/ash_admin/compare/v0.9.3...v0.9.4) (2023-08-04)","ref":"changelog.html#improvements-17"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly reassign form on update\n\n## [v0.9.3](https://github.com/ash-project/ash_admin/compare/v0.9.2...v0.9.3) (2023-08-02)","ref":"changelog.html#bug-fixes-33"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- support cross-api relationships in show links\n\n- use `push_patch` instead of `push_redirect`","ref":"changelog.html#bug-fixes-34"},{"type":"extras","title":"Improvements: - Change Log","doc":"- Ui consistency (#62)\n\n## [v0.9.2](https://github.com/ash-project/ash_admin/compare/v0.9.1...v0.9.2) (2023-08-02)","ref":"changelog.html#improvements-18"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix links to show related resources\n\n## [v0.9.1](https://github.com/ash-project/ash_admin/compare/v0.9.0...v0.9.1) (2023-08-02)","ref":"changelog.html#bug-fixes-35"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- use connect params for persisted state\n\n- properly persist cookies\n\n- create-form: errors from removal of surface (#60)\n\n- properly detect update and destroy actions\n\n- revalidate with params on submit\n\n- send set tenant to parent liveview\n\n- set phx-target\n\n- set phx-target on tenant form\n\n- fix editing_tenant in top_nav","ref":"changelog.html#bug-fixes-36"},{"type":"extras","title":"Improvements: - Change Log","doc":"- loosen tails dependency\n\n## [v0.9.0](https://github.com/ash-project/ash_admin/compare/v0.8.2...v0.9.0) (2023-07-28)","ref":"changelog.html#improvements-19"},{"type":"extras","title":"Features: - Change Log","doc":"- Add seed with Admin, User, Customer, Organization and Ticket (#56)","ref":"changelog.html#features-3"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- set assigns for show block\n\n- fix behaviour and support on_mount and session","ref":"changelog.html#bug-fixes-37"},{"type":"extras","title":"Improvements: - Change Log","doc":"- style the metadata tables consistently (#54)\n\n- remove surface\n\n- support setting an actor\n\n## [v0.8.2](https://github.com/ash-project/ash_admin/compare/v0.8.1...v0.8.2) (2023-07-25)","ref":"changelog.html#improvements-20"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't show create button if no create actions are configured\n\n- use `authorize?: false` when reading actor from session","ref":"changelog.html#bug-fixes-38"},{"type":"extras","title":"Improvements: - Change Log","doc":"- show all errors on form submit\n\n- Improve frontend a little bit (#52)\n\n- Use overflow-auto instead of overflow-scroll on table\n\n## [v0.8.1](https://github.com/ash-project/ash_admin/compare/v0.8.0...v0.8.1) (2023-04-22)","ref":"changelog.html#improvements-21"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't authorize actor read\n\n- Admin links are not aware of the scope where ash_admin is called (#49)\n\n- handle cases where actions of a given type don't exist","ref":"changelog.html#bug-fixes-39"},{"type":"extras","title":"Improvements: - Change Log","doc":"- Update Surface to 0.10.0 (#50)\n\n## [v0.8.0](https://github.com/ash-project/ash_admin/compare/v0.7.1...v0.8.0) (2023-03-01)","ref":"changelog.html#improvements-22"},{"type":"extras","title":"Features: - Change Log","doc":"- Inline style nonce (#42)\n\n- Specify nonces on inline styles/JavaScript so they can be allowed by CSPs","ref":"changelog.html#features-4"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- Add missing mix.lock changes (#43)\n\n- Add missing mix.lock changes\n\n## [v0.7.1](https://github.com/ash-project/ash_admin/compare/v0.7.0...v0.7.1) (2022-11-01)","ref":"changelog.html#bug-fixes-40"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix markdown editor and make things cleaner\n\n## [v0.7.0](https://github.com/ash-project/ash_admin/compare/v0.6.2...v0.7.0) (2022-10-31)","ref":"changelog.html#bug-fixes-41"},{"type":"extras","title":"Features: - Change Log","doc":"- add markdown attributes","ref":"changelog.html#features-5"},{"type":"extras","title":"Improvements: - Change Log","doc":"- add markdown editor\n\n## [v0.6.2](https://github.com/ash-project/ash_admin/compare/v0.6.1...v0.6.2) (2022-10-20)","ref":"changelog.html#improvements-23"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- handle missing api/resource better\n\n- if pagination is available but not required, opt to use it\n\n## [v0.6.1](https://github.com/ash-project/ash_admin/compare/v0.6.0-rc.2...v0.6.1) (2022-10-20)","ref":"changelog.html#bug-fixes-42"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash\n\n## [v0.6.0-rc.2](https://github.com/ash-project/ash_admin/compare/v0.6.0-rc.1...v0.6.0-rc.2) (2022-09-28)","ref":"changelog.html#improvements-24"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash\n\n- unlock unused deps\n\n- support latest ash_phoenix\n\n- update to latest ash\n\n## [v0.6.0-rc.1](https://github.com/ash-project/ash_admin/compare/v0.6.0-rc.0...v0.6.0-rc.1) (2022-09-15)","ref":"changelog.html#improvements-25"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't call into ash_postgres for tables anymore\n\n- properly match on `Code.ensure_compiled/1` output","ref":"changelog.html#bug-fixes-43"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to the latest ash\n\n## [v0.5.2](https://github.com/ash-project/ash_admin/compare/v0.5.1-rc.0...v0.5.2) (2022-08-22)","ref":"changelog.html#improvements-26"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash\n\n- support value-backed nested forms\n\n## [v0.5.1-rc.0](https://github.com/ash-project/ash_admin/compare/v0.5.0...v0.5.1-rc.0) (2022-08-15)","ref":"changelog.html#improvements-27"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- remove unnecessary code\n\n- fix data loading, change tracking (handled by AshPhoenix.Form)\n\n- changelog URL in release tweet (#24)\n\n## [v0.5.0](https://github.com/ash-project/ash_admin/compare/v0.4.5-rc.0...v0.5.0) (2022-08-10)","ref":"changelog.html#bug-fixes-44"},{"type":"extras","title":"Features: - Change Log","doc":"- allow setting primary read action as default resource page (#19)","ref":"changelog.html#features-6"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- failing error case for nested forms (#21)","ref":"changelog.html#bug-fixes-45"},{"type":"extras","title":"Improvements: - Change Log","doc":"- use new authorize? configuration\n\n## [v0.4.5-rc.0](https://github.com/ash-project/ash_admin/compare/v0.4.4...v0.4.5-rc.0) (2022-05-23)","ref":"changelog.html#improvements-28"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- update to latest ash for bugfix\n\n- get the original value using `AshPhoenix.Form.value/2`","ref":"changelog.html#bug-fixes-46"},{"type":"extras","title":"Improvements: - Change Log","doc":"- Top nav resource grouping (#15)\n\n- update ash version and fix build\n\n- add DateInput for dates\n\n## [v0.4.4](https://github.com/ash-project/ash_admin/compare/v0.4.3...v0.4.4) (2022-03-17)","ref":"changelog.html#improvements-29"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't depend on an rc version\n\n## [v0.4.3](https://github.com/ash-project/ash_admin/compare/v0.4.2...v0.4.3) (2022-03-17)","ref":"changelog.html#bug-fixes-47"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- a bunch of behavior fixes, getting the demo to snuff with new Ash\n\n- fix tenant/actor session w/ new phx version","ref":"changelog.html#bug-fixes-48"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update tons of dependencies\n\n## [v0.4.2](https://github.com/ash-project/ash_admin/compare/v0.4.1...v0.4.2) (2022-03-17)","ref":"changelog.html#improvements-30"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- a bunch of behavior fixes, getting the demo to snuff with new Ash\n\n- fix tenant/actor session w/ new phx version","ref":"changelog.html#bug-fixes-49"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update tons of dependencies\n\n## [v0.4.2](https://github.com/ash-project/ash_admin/compare/v0.4.1...v0.4.2) (2022-03-17)","ref":"changelog.html#improvements-31"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't lock phoenix version\n\n## [v0.4.1](https://github.com/ash-project/ash_admin/compare/v0.4.0...v0.4.1) (2022-03-17)","ref":"changelog.html#bug-fixes-50"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- various other fixes for events and hooks\n\n- fix issues w/ admin UI not rendering\n\n## [v0.4.0](https://github.com/ash-project/ash_admin/compare/v0.3.0-rc.0...v0.4.0) (2021-11-14)","ref":"changelog.html#bug-fixes-51"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- handle new liveview arg pattern\n\n## [v0.3.0-rc.0](https://github.com/ash-project/ash_admin/compare/v0.2.22...v0.3.0-rc.0) (2021-09-01)","ref":"changelog.html#bug-fixes-52"},{"type":"extras","title":"Breaking Changes: - Change Log","doc":"- support latest surface/phoenix","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Improvements: - Change Log","doc":"- remove compile-time router, use params instead\n\n## [v0.2.22](https://github.com/ash-project/ash_admin/compare/v0.2.21...v0.2.22) (2021-07-24)","ref":"changelog.html#improvements-32"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- render values properly when no format set\n\n## [v0.2.21](https://github.com/ash-project/ash_admin/compare/v0.2.20...v0.2.21) (2021-07-24)","ref":"changelog.html#bug-fixes-53"},{"type":"extras","title":"Improvements: - Change Log","doc":"- define custom formats for any field (#7)\n\n## [v0.2.20](https://github.com/ash-project/ash_admin/compare/v0.2.19...v0.2.20) (2021-07-23)","ref":"changelog.html#improvements-33"},{"type":"extras","title":"Improvements: - Change Log","doc":"- relationships in datatable (#6)\n\n## [v0.2.19](https://github.com/ash-project/ash_admin/compare/v0.2.18...v0.2.19) (2021-07-23)","ref":"changelog.html#improvements-34"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash\n\n## [v0.2.18](https://github.com/ash-project/ash_admin/compare/v0.2.17...v0.2.18) (2021-07-20)","ref":"changelog.html#improvements-35"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- digest assets\n\n- show proper values in update forms on initial render\n\n## [v0.2.17](https://github.com/ash-project/ash_admin/compare/v0.2.16-rc.1...v0.2.17) (2021-07-20)","ref":"changelog.html#bug-fixes-54"},{"type":"extras","title":"Improvements: - Change Log","doc":"- add json editor\n\n## [v0.2.16-rc.1](https://github.com/ash-project/ash_admin/compare/v0.2.16-rc.0...v0.2.16-rc.1) (2021-07-18)","ref":"changelog.html#improvements-36"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash\n\n## [v0.2.16-rc.0](https://github.com/ash-project/ash_admin/compare/v0.2.15...v0.2.16-rc.0) (2021-07-18)","ref":"changelog.html#improvements-37"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- show boolean default values better","ref":"changelog.html#bug-fixes-55"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to new form logic\n\n## [v0.2.15](https://github.com/ash-project/ash_admin/compare/v0.2.14...v0.2.15) (2021-05-18)","ref":"changelog.html#improvements-38"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- retain `manage_relationship_source` context where possible\n\n## [v0.2.14](https://github.com/ash-project/ash_admin/compare/v0.2.13...v0.2.14) (2021-05-14)","ref":"changelog.html#bug-fixes-56"},{"type":"extras","title":"Improvements: - Change Log","doc":"- general manage relationship improvements\n\n## [v0.2.13](https://github.com/ash-project/ash_admin/compare/v0.2.12...v0.2.13) (2021-05-13)","ref":"changelog.html#improvements-39"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- track pkey of embeds when adding\n\n## [v0.2.12](https://github.com/ash-project/ash_admin/compare/v0.2.11...v0.2.12) (2021-05-10)","ref":"changelog.html#bug-fixes-57"},{"type":"extras","title":"Improvements: - Change Log","doc":"- support explicit enum types\n\n## [v0.2.11](https://github.com/ash-project/ash_admin/compare/v0.2.10...v0.2.11) (2021-05-06)","ref":"changelog.html#improvements-40"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix special text fields","ref":"changelog.html#bug-fixes-58"},{"type":"extras","title":"Improvements: - Change Log","doc":"- always show action dropdown\n\n- log on failures in the UI\n\n## [v0.2.10](https://github.com/ash-project/ash_admin/compare/v0.2.9...v0.2.10) (2021-04-17)","ref":"changelog.html#improvements-41"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- update to ash_phoenix, fix relationship embeds\n\n## [v0.2.9](https://github.com/ash-project/ash_admin/compare/v0.2.8...v0.2.9) (2021-04-16)","ref":"changelog.html#bug-fixes-59"},{"type":"extras","title":"Improvements: - Change Log","doc":"- support array attribute/arguments properly\n\n## [v0.2.8](https://github.com/ash-project/ash_admin/compare/v0.2.7...v0.2.8) (2021-04-15)","ref":"changelog.html#improvements-42"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- properly track embedded attribute targets\n\n## [v0.2.7](https://github.com/ash-project/ash_admin/compare/v0.2.6...v0.2.7) (2021-04-09)","ref":"changelog.html#bug-fixes-60"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- set actor in datatable\n\n## [v0.2.6](https://github.com/ash-project/ash_admin/compare/v0.2.5...v0.2.6) (2021-04-09)","ref":"changelog.html#bug-fixes-61"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- support binary data (by not showing it)\n\n## [v0.2.5](https://github.com/ash-project/ash_admin/compare/v0.2.4...v0.2.5) (2021-03-30)","ref":"changelog.html#bug-fixes-62"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- don't send empty params on save","ref":"changelog.html#bug-fixes-63"},{"type":"extras","title":"Improvements: - Change Log","doc":"- update to latest ash_phoenix\n\n## [v0.2.4](https://github.com/ash-project/ash_admin/compare/v0.2.3...v0.2.4) (2021-03-30)","ref":"changelog.html#improvements-43"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- show add button on array input relationships\n\n## [v0.2.3](https://github.com/ash-project/ash_admin/compare/v0.2.2...v0.2.3) (2021-03-29)","ref":"changelog.html#bug-fixes-64"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- remove path dependency on ash\n\n## [v0.2.2](https://github.com/ash-project/ash_admin/compare/v0.2.1...v0.2.2) (2021-03-29)","ref":"changelog.html#bug-fixes-65"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- allow removing to_one relationships on creates","ref":"changelog.html#bug-fixes-66"},{"type":"extras","title":"Improvements: - Change Log","doc":"- support lookup forms _or_ create forms\n\n## [v0.2.1](https://github.com/ash-project/ash_admin/compare/v0.2.0...v0.2.1) (2021-03-28)","ref":"changelog.html#improvements-44"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- update ash_admin dependency\n\n## [v0.2.0](https://github.com/ash-project/ash_admin/compare/v0.1.6...v0.2.0) (2021-03-28)","ref":"changelog.html#bug-fixes-67"},{"type":"extras","title":"Features: - Change Log","doc":"- more testing resources + relationship argument forms!\n\n## [v0.1.6](https://github.com/ash-project/ash_admin/compare/v0.1.5...v0.1.6) (2021-03-25)","ref":"changelog.html#features-7"},{"type":"extras","title":"Improvements: - Change Log","doc":"- use new relationship management logic\n\n## [v0.1.5](https://github.com/ash-project/ash_admin/compare/v0.1.4...v0.1.5) (2021-03-24)","ref":"changelog.html#improvements-45"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- remove inspect\n\n- properly only provide changing fields to actions\n\n## [v0.1.4](https://github.com/ash-project/ash_admin/compare/v0.1.3...v0.1.4) (2021-03-24)","ref":"changelog.html#bug-fixes-68"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- support tenant on read actions\n\n- remove inspect","ref":"changelog.html#bug-fixes-69"},{"type":"extras","title":"Improvements: - Change Log","doc":"- only send changing fields\n\n- don't show `destination_field` on related tables\n\n## [v0.1.3](https://github.com/ash-project/ash_admin/compare/v0.1.2...v0.1.3) (2021-03-23)","ref":"changelog.html#improvements-46"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- use version properly\n\n## [v0.1.2](https://github.com/ash-project/ash_admin/compare/v0.1.1...v0.1.2) (2021-03-22)","ref":"changelog.html#bug-fixes-70"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- fix build\n\n## [v0.1.1](https://github.com/ash-project/ash_admin/compare/v0.1.0...v0.1.1) (2021-03-22)","ref":"changelog.html#bug-fixes-71"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- use static routes\n\n## [v0.1.0](https://github.com/ash-project/ash_admin/compare/v0.1.0...v0.1.0) (2021-03-22)","ref":"changelog.html#bug-fixes-72"},{"type":"extras","title":"Features: - Change Log","doc":"- draw the rest of the owl\n\n- support fully managed relationships\n\n- set actor from show page\n\n- support destroy actions\n\n- lots of new features, including related id updates","ref":"changelog.html#features-8"},{"type":"extras","title":"Bug Fixes: - Change Log","doc":"- various fixes\n\n- various fixes/improvements\n\n- various bug fixes\n\n- update dep versions\n\n- fix action changing","ref":"changelog.html#bug-fixes-73"},{"type":"extras","title":"Improvements: - Change Log","doc":"- general fixes, configurable action lists\n\n- add pagination support\n\n- support read actions with arguments\n\n- add \"log in\" button","ref":"changelog.html#improvements-47"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.38.1"}}